(function () {
    'use strict';

    angular
        .module('editorRotas')
        .factory('pacmansService', pacmansService);

    pacmansService.$inject = ['Server'];

    function pacmansService(Server) {
        /* Comandos */
        function SalvarPacmans(obj) {
            var action = 'Etapa3/SalvarPacmans';
            return Server.post(action, obj);
        }
        /* Consultas */
        function CarregarPacmans(obj) {
            var action = 'EditorRotas/CarregarPacmans?codigoRota=' + obj.CodigoRota + '&temp=' + obj.RotasTemp;
            return Server.get(action, null);
        }

        return {
            CarregarPacmans: CarregarPacmans,
            SalvarPacmans: SalvarPacmans
        }
    }
})();
